# module.cpp File Reference

writeme More...

`#include "module.h"`
`#include "general.h"`
`#include <ETL/stringf>`
`#include <ltdl.h>`

## Defines

#define | SYNFIG_NO_ANGLE
#define | REGISTER_MODULE(module)

## Detailed Description

writeme

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

#define REGISTER_MODULE | ( | module |  | ) |

Value:

    if (!Register(module, callback)) \
                                            throw std::runtime_error(strprintf(_("Unable to load module '%s'"), module))

Referenced by synfig::Module::register_default_modules().